Loading...
Searching...
No Matches
Lane.h File Reference

Internal header file for the Lane. More...

`#include <condition_variable>`
`#include <cstring>`
`#include <deque>`
`#include <mutex>`

Go to the source code of this file.

## Classes

class | casacore::aocommon::Lane< Tp >
| The Lane is an efficient cyclic buffer that is synchronized. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines
namespace | casacore::aocommon

## Macros

#define | set_lane_debug_name(lane, str)
#define | LANE_REGISTER_DEBUG_INFO
#define | LANE_REGISTER_DEBUG_WRITE_WAIT
#define | LANE_REGISTER_DEBUG_READ_WAIT
#define | LANE_REPORT_DEBUG_INFO

## Functions

template<typename Tp>
void | casacore::aocommon::swap (aocommon::Lane< Tp > &first, aocommon::Lane< Tp > &second) noexcept

## Detailed Description

Internal header file for the Lane.

@headername{Lane.h}

Original location of this file: https://gitlab.com/aroffringa/aocommon/-/blob/master/include/aocommon/lane.h

Definition in file Lane.h.

## Macro Definition Documentation

## LANE_REGISTER_DEBUG_INFO

#define LANE_REGISTER_DEBUG_INFO

Definition at line 39 of file Lane.h.

Referenced by casacore::aocommon::Lane< Tp >::discard(), casacore::aocommon::Lane< Tp >::emplace(), casacore::aocommon::Lane< Tp >::read(), casacore::aocommon::Lane< Tp >::read(), casacore::aocommon::Lane< Tp >::write(), casacore::aocommon::Lane< Tp >::write(), casacore::aocommon::Lane< Tp >::write_end(), and casacore::aocommon::Lane< Tp >::write_generic().

## LANE_REGISTER_DEBUG_READ_WAIT

#define LANE_REGISTER_DEBUG_READ_WAIT

Definition at line 41 of file Lane.h.

Referenced by casacore::aocommon::Lane< Tp >::discard(), casacore::aocommon::Lane< Tp >::read(), and casacore::aocommon::Lane< Tp >::read().

## LANE_REGISTER_DEBUG_WRITE_WAIT

#define LANE_REGISTER_DEBUG_WRITE_WAIT

Definition at line 40 of file Lane.h.

Referenced by casacore::aocommon::Lane< Tp >::emplace(), casacore::aocommon::Lane< Tp >::write(), casacore::aocommon::Lane< Tp >::write(), and casacore::aocommon::Lane< Tp >::write_generic().

## LANE_REPORT_DEBUG_INFO

#define LANE_REPORT_DEBUG_INFO

Definition at line 42 of file Lane.h.

Referenced by casacore::aocommon::Lane< Tp >::~Lane().

## set_lane_debug_name

#define set_lane_debug_name | ( |  | lane,
|  |  | str )

Definition at line 38 of file Lane.h.